package org.linlinjava.jz.admin.vo;

import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;

/**
 * 任务回收dto
 * @author lu
 *
 */
public class AssignTaskDto {

	@ApiModelProperty(value = "离职人员的userId",name = "userId")
	@NotNull(message = "离职人员的userId 不可为null")
	public Integer userId; //sysuser的id
	
	@ApiModelProperty(value = "任务类型id",name = "campaignId")
	@NotNull(message = "campaignId 不可为null")
	public Integer campaignId;//任务类型id
	
//	@ApiModelProperty(value = "离职人员剩下没拨打的任务数量",name = "taskTotal")
//	@NotNull(message = "taskTotal 不可为null")
//	public Integer taskTotal;//可分配的总数
	
	@NotEmpty(message = "builtTaskList 不可为null")
	private List<BuiltTaskDto> builtTaskList; //接收的用户数量

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public List<BuiltTaskDto> getBuiltTaskList() {
		return builtTaskList;
	}

	public void setBuiltTaskList(List<BuiltTaskDto> builtTaskList) {
		this.builtTaskList = builtTaskList;
	}

	public Integer getCampaignId() {
		return campaignId;
	}

	public void setCampaignId(Integer campaignId) {
		this.campaignId = campaignId;
	}
	

}
